From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jaraco-logging/
Date: Fri, 8 Jun 2018 12:05:32 +0000 (UTC) [thread overview]
Message-ID: <1528459431.f6b4dc3cc7a8de21f8b58da65d5b806830e48172.mgorny@gentoo> (raw)
commit: f6b4dc3cc7a8de21f8b58da65d5b806830e48172
Author: Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Wed Jun 6 21:02:25 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jun 8 12:03:51 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f6b4dc3c
dev-python/jaraco-logging: bump to 1.5.2, add doc, pypy{3,}
Remove useless pytest-runner DEPEND, add RDEPEND on namespace-jaraco.
Package-Manager: Portage-2.3.38, Repoman-2.3.9
dev-python/jaraco-logging/Manifest | 1 +
.../jaraco-logging/jaraco-logging-1.5.2.ebuild | 58 ++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/dev-python/jaraco-logging/Manifest b/dev-python/jaraco-logging/Manifest
index 0978188e5c9..c0359beb41e 100644
--- a/dev-python/jaraco-logging/Manifest
+++ b/dev-python/jaraco-logging/Manifest
@@ -1,2 +1,3 @@
DIST jaraco.logging-1.3.1.tar.gz 4589 BLAKE2B 7e0e410df62926f7f7bff9327d29d9e5ab02eb22855d07e9d3c13be655b1060eb0316cbae9018dd1fb34128308be039c05b0e9d6d6a435e5c86baca99584c6e9 SHA512 aaa2b29551a13358887e0747acb47ca2a6611ce1bfb08259bc70c7908929c4d2c45eefd7738e808b7b2404d723425efd69f9cb9601e0fb0c08f611bcf744ceae
+DIST jaraco.logging-1.5.2.tar.gz 7135 BLAKE2B 5235566df80008270f2f28101ab5df1d7fbc1446f138eb4cb851c9bb464b741c0ebb8528d3502130b5c557f30214ec27ce1ea563e09e78776e22d37811da21b5 SHA512 3299adc9c9ca6113198cddbc34147afe1bf453edee16a2d6bfcce64e63deeaff7f87beb74ff44f092435f3433a921b19167fb45778dce444512807357bce1661
DIST jaraco.logging-1.5.tar.gz 5707 BLAKE2B 853d2747ab92754de4480871355180a33a7a6cbf69fc3d32ba489ecac27dc55ad92d94bfb84e411ee13400d82d162ea400be1027c3002f317a97e00b849484ec SHA512 18f267bd0c764f38ff5223d4fd6e08d7d9fa568691db285155d7b955c71439474fd84edd61b20d57f6eac77394d4b3ddf9b35d8e6ba08a2db5dd4b2ada6e0d68
diff --git a/dev-python/jaraco-logging/jaraco-logging-1.5.2.ebuild b/dev-python/jaraco-logging/jaraco-logging-1.5.2.ebuild
new file mode 100644
index 00000000000..8cc0be38d7f
--- /dev/null
+++ b/dev-python/jaraco-logging/jaraco-logging-1.5.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy{,3} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Additional facilities to supplement Python's stdlib logging module"
+HOMEPAGE="https://github.com/jaraco/jaraco.logging"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+ dev-python/namespace-jaraco[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/tempora[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.9[${PYTHON_USEDEP}]
+ doc? (
+ >=dev-python/jaraco-packaging-3.2[${PYTHON_USEDEP}]
+ >=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+ test? (
+ ${RDEPEND}
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_compile_all() {
+ if use doc; then
+ cd docs || die
+ sphinx-build . _build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ # Override pytest options to skip flake8
+ PYTHONPATH=. py.test --override-ini="addopts=--doctest-modules" \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
next reply other threads:[~2018-06-08 12:05 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-06-08 12:05 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-27 20:59 [gentoo-commits] repo/gentoo:master commit in: dev-python/jaraco-logging/ Michał Górny
2024-05-18 5:05 Michał Górny
2024-01-13 9:32 Michał Górny
2024-01-13 9:12 Arthur Zamarin
2023-12-25 7:06 Michał Górny
2023-11-24 15:00 Michał Górny
2023-11-23 16:58 Arthur Zamarin
2023-10-06 15:08 Michał Górny
2023-10-06 14:31 Sam James
2023-08-31 13:22 Michał Górny
2023-06-03 8:40 Michał Górny
2023-03-21 16:45 Michał Górny
2023-02-12 19:05 Michał Górny
2023-02-07 9:26 Michał Górny
2022-10-03 6:50 Michał Górny
2022-08-29 18:04 Arthur Zamarin
2022-08-29 16:58 Michał Górny
2022-08-29 14:30 Sam James
2022-08-18 9:48 Michał Górny
2022-06-04 19:04 Michał Górny
2022-05-28 7:02 Michał Górny
2022-05-28 6:55 Agostino Sarubbo
2022-05-13 16:31 Arthur Zamarin
2022-04-24 18:44 Jakov Smolić
2022-04-09 21:19 Michał Górny
2021-05-08 8:52 Michał Górny
2021-03-02 8:33 Michał Górny
2021-03-02 1:40 Sam James
2021-03-02 1:01 Michał Górny
2020-12-28 8:36 Michał Górny
2020-09-21 15:30 Michał Górny
2020-09-04 22:14 Louis Sautier
2020-07-06 19:31 Michał Górny
2020-02-05 15:29 Michał Górny
2019-12-31 15:27 Louis Sautier
2019-12-31 14:14 Louis Sautier
2019-07-03 23:36 Louis Sautier
2019-07-02 14:03 Louis Sautier
2018-07-25 21:39 Louis Sautier
2018-06-25 10:40 Jason Zaman
2018-06-23 14:51 Louis Sautier
2018-06-18 10:34 Louis Sautier
2018-06-08 12:05 Michał Górny
2017-06-17 17:24 Agostino Sarubbo
2017-06-17 15:36 Agostino Sarubbo
2016-05-26 20:51 Amy Winston
2015-12-29 15:16 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1528459431.f6b4dc3cc7a8de21f8b58da65d5b806830e48172.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox